Subject: bug#38526: 26.3; w32-shell-execute fails inside Nextcloud folder

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Dec 2019 19:08:43 +0200

> Date: Sun, 08 Dec 2019 17:12:51 +0100
> From: Juan Jose Garcia-Ripoll <[email-masked]>
> Cc: Juan Jose Garcia-Ripoll <[email-masked]>,
> 	[email-masked]
> 
> I am trying to debug w32-shell-execute, but there are no useful error messages. I am using SumatraPDF, which works fine in all documents.

How is SumatraPDF configured on your system?  On my system, here's how
I see the command invoked to open PDF files:

  D:\usr\eli>assoc .pdf
  .pdf=AcroExch.Document.11
  D:\usr\eli>ftype AcroExch.Document.11
  AcroExch.Document.11="C:\Program Files\Adobe\Reader 11.0\Reader\AcroRd32.exe" "%1"

And that quoted "%1" is the reason why file names with spaces will be
processed correctly.  Maybe on your system the quotes are missing?

> To verify, I have done the same test using a Word document
>   (w32-shell-execute "open" "c:\\Users\\juanj\\tmp\\Test document.docx")
>   (w32-shell-execute "open" "c:\\Users\\juanj\\Nextcloud\\tmp\\Test document.docx")
> and the result is the same: both functions return 't but only the first one opens the document...

If the function returns t, it means it succeeded in launching the
requisite application.  The problem, if it happens, is within the
application it launches.

Is the below of any help?

  https://forum.sumatrapdfreader.org/t/space-in-file-names-paths/1555/5